apiVersion: v1
kind: Pod

metadata:
  name: prometheus
  labels:
    app: prometheus

# ! WARNING: This almost certainly doesn't make sense to implement in production - this is just for experimenting
spec:
  containers:
  # https://github.com/prometheus/node_exporter/blob/master/Dockerfile
  - name: prometheus
    image: prom/node-exporter:latest
    # TODO: Anything needed here? (ENTRYPOINT [ "/bin/prometheus" ])
    # command:
    # - docker-entrypoint.sh
    env:
    - name: PATH
      value: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    - name: TERM
      value: xterm
    # TODO: Networking setup is a bit complicated for this
    ports: {}
    # TODO: Need to mount data so it isn't lost
    volumeMounts: {}
    # TODO: Try removing this
    resources: {}
    # TODO: Double-check the rest
    tty: true
    securityContext:
      allowPrivilegeEscalation: true
      privileged: false
      readOnlyRootFilesystem: false

  volumes:
  - name: test-volume
    hostPath:
      path: /
      readOnly: true
      HostToContainer: true  # rslave?

status: {}
